* [ptxdist] [PATCH] scripts/ipkg-push: return nonzero on error
@ 2012-03-14 23:21 Ladislav Michl
2012-03-15 10:01 ` Michael Olbrich
0 siblings, 1 reply; 2+ messages in thread
From: Ladislav Michl @ 2012-03-14 23:21 UTC (permalink / raw)
To: ptxdist
ipkg-push returns zero when ipkg repository path does not exist causing make
continues ignoring error.
Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
---
ipkg-push | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/scripts/ipkg-push b/scripts/ipkg-push
index 3f8c823..b8d5228 100755
--- a/scripts/ipkg-push
+++ b/scripts/ipkg-push
@@ -33,7 +33,7 @@ usage() {
echo " --dist <distname> use this to make a dist release (optional)"
echo " --type <package type> specify package type (default: ipkg)"
echo
- exit 0
+ exit 1
}
IPKGDIR=
--
ptxdist mailing list
ptxdist@pengutronix.de
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [ptxdist] [PATCH] scripts/ipkg-push: return nonzero on error
2012-03-14 23:21 [ptxdist] [PATCH] scripts/ipkg-push: return nonzero on error Ladislav Michl
@ 2012-03-15 10:01 ` Michael Olbrich
0 siblings, 0 replies; 2+ messages in thread
From: Michael Olbrich @ 2012-03-15 10:01 UTC (permalink / raw)
To: ptxdist
On Thu, Mar 15, 2012 at 12:21:31AM +0100, Ladislav Michl wrote:
> ipkg-push returns zero when ipkg repository path does not exist causing make
> continues ignoring error.
Tnx. Applied.
Michael
> Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
> ---
> ipkg-push | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
> diff --git a/scripts/ipkg-push b/scripts/ipkg-push
> index 3f8c823..b8d5228 100755
> --- a/scripts/ipkg-push
> +++ b/scripts/ipkg-push
> @@ -33,7 +33,7 @@ usage() {
> echo " --dist <distname> use this to make a dist release (optional)"
> echo " --type <package type> specify package type (default: ipkg)"
> echo
> - exit 0
> + exit 1
> }
>
> IPKGDIR=
>
> --
> ptxdist mailing list
> ptxdist@pengutronix.de
>
--
Pengutronix e.K. | |
Industrial Linux Solutions | http://www.pengutronix.de/ |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0 |
Amtsgericht Hildesheim, HRA 2686 | Fax: +49-5121-206917-5555 |
--
ptxdist mailing list
ptxdist@pengutronix.de
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2012-03-15 10:01 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2012-03-14 23:21 [ptxdist] [PATCH] scripts/ipkg-push: return nonzero on error Ladislav Michl
2012-03-15 10:01 ` Michael Olbrich
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox